@use "variables";

.join-item {
    display: flex;
    flex-direction: column;
    text-align: center;

    .content-container {
        .icon {
            max-height: variables.$default-icon-height;
            padding-bottom: 1.5rem;
        }

        .button {
            margin: 0 auto;
        }
    }

    .image-container {
        max-width: 100%;
        margin: auto;
        padding-bottom: 1.5rem;

        .image {
            max-width: 100%;
            border-radius: 4px;
            box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
        }
    }

    .text {
        margin: 1rem 0px;
    }

    @media not screen and (max-width: variables.$mobile-width) {
        flex-direction: row;

        &.reverse {
            flex-direction: row-reverse;

            .image-container {
                padding-left: 1rem;
            }
        }

        .image-container {
            max-width: 50%;
            padding-right: 1rem;
        }

        .content-container {
            width: 40%;
            margin: auto auto;

            img {
                max-height: variables.$default-icon-height;
                padding: 1rem 0;
            }
        }
    }
}

.join-wiki .button {
    /* Edge compatibility */
    max-width: 300px;
    text-align: center;
}